---
########################################################################
# File managed by Salt at <salt://arvados/files/default/config.tmpl.jinja>.
# Your changes will be overwritten.
#
# Please check https://doc.arvados.org/master/admin/config.html for
# documentation about the parameters configured here.
########################################################################
# (Experimental) Restart services automatically when config file
# changes are detected. Only supported by `arvados-server boot` in
# dev mode.
AutoReloadConfig: False

Clusters:
  harpo:

    SystemRootToken: "systemroottokenmushaveatleast32characters"
    ManagementToken: "managementtokenmushaveatleast32characters"

    API:

    Collections:
      BlobSigningKey: "blobsigningkeymushaveatleast32characters"

    TLS:
      Certificate: ""
      Key: ""
      Insecure: False

    Workbench:
      SecretKeyBase: "workbenchsecretkeymushaveatleast32characters"
      SiteName: HARPO
    Login:
      Test:
        Enable: true
        Users:
          admin:
            Email: admin@harpo.local
            Password: password
    Users:
      AnonymousUserToken: anonymoususertokenmushaveatleast32characters
      AutoAdminFirstUser: true
      AutoSetupNewUsers: true
      AutoSetupNewUsersWithRepository: true
      NewUsersAreActive: true
    Volumes:
      harpo-nyw5e-000000000000000:
        AccessViaHosts:
          http://keep0.harpo.local:25107:
            ReadOnly: false
        Driver: Directory
        DriverParameters:
          Root: /tmp
        Replication: 2

    ### DATABASE CONFIGURATION
    PostgreSQL:
      ConnectionPool: 32
      Connection:
        # All parameters here are passed to the PG client library in a connection string;
        # see https://www.postgresql.org/docs/current/static/libpq-connect.html#LIBPQ-PARAMKEYWORDS
        dbname: harpo_arvados
        host: 127.0.0.1
        password: "please_set_this_to_some_secure_value"
        user: harpo_arvados
        client_encoding: UTF8

    ### SERVICES URLs
    Services:
      Controller:
        ExternalURL: https://harpo.local:8443
        InternalURLs:
          http://controller.internal:8003: {}
      DispatchCloud:
        InternalURLs:
          http://harpo.local:9006: {}
      Keepbalance:
        InternalURLs:
          http://harpo.local:9005: {}
      Keepproxy:
        ExternalURL: https://keep.harpo.local:8443
        InternalURLs:
          http://keep.internal:25100: {}
      Keepstore:
        InternalURLs:
          http://keep0.harpo.local:25107: {}
      RailsAPI:
        InternalURLs:
          http://api.internal:8004: {}
      WebDAV:
        ExternalURL: https://collections.harpo.local:8443
        InternalURLs:
          http://collections.internal:9002: {}
      WebDAVDownload:
        ExternalURL: https://download.harpo.local:8443
      WebShell:
        ExternalURL: https://webshell.harpo.local:8443
      Websocket:
        ExternalURL: wss://ws.harpo.local/websocket
        InternalURLs:
          http://ws.internal:8005: {}
      Workbench1:
        ExternalURL: https://workbench.harpo.local:8443
      Workbench2:
        ExternalURL: https://workbench2.harpo.local:8443
